<div id="text"></div>
<div id="clozeText"></div>

<script>
let text = "{{Text}}"
let clozeText = "{{cloze:Text}}"

let elText = document.getElementById("text")
let elClozeText = document.getElementById("clozeText")

let re = /(?<!\{\{c\d+::)\[\[(.*?)\]\]/gm

elText.innerHTML = findRegex(re, text)
//elClozeText.innerHTML = htmlEncode(clozeText)

function findRegex(re, text) {
	let match = Array.from(text.matchAll(re))
	return match
}
</script>